#
# spec file for package tree (Version 1.5.2.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           tree
License:        GPLv2+
Group:          Productivity/File utilities
Url:            http://mama.indstate.edu/users/ice/tree/
Summary:        File listing as a tree
Version:        1.5.2.2
Release:        2.2.1
Source0:        %name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch1:         tree-dontstrip.diff

%description
A tree-like directory listing program with dircolors support

%prep
%setup -n %name-%version
%patch1 -p1

%build
make OPTFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 man/tree.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 tree $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/tree
%{_mandir}/man1/tree.1*
%doc README LICENSE

%changelog
* Sun May 16 2010 meissner@suse.de
- pass in OPTFLAGS seperately, so LARGEFILE support does not
  get lost. bnc#601779
* Fri Jul  3 2009 kay.sievers@novell.com
- New upstream version 1.5.2.2
  Added -v option for version sorting
* Sat Apr 14 2007 kay.sievers@suse.de
- New upstream version 1.5.1
- install README, LICENCE
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Aug 11 2005 kasievers@suse.de
- New version 1.5
* Tue Aug  9 2005 mmj@suse.de
- Use $RPM_OPT_FLAGS
* Sun Jan 18 2004 mmj@suse.de
- Fix compound statements (gcc 3.4)
* Thu Oct 16 2003 mmj@suse.de
- Don't build as root
- Don't strip explicitly
* Thu May 22 2003 coolo@suse.de
- use BuildRoot
* Tue Jan 14 2003 nadvornik@suse.cz
- fixed multi-line string literals
* Fri Jan  5 2001 jj@suse.de
- initial version
- gzipped manpage in archive
- removed binary from archive
- explicit install by specfile instead of 'make install'
